Package com.google.gwt.geolocation.client

## Interface Position.Coordinates

- All Known Implementing Classes:
    `PositionImpl.CoordinatesImpl`
  Enclosing interface:
    Position

      @SingleJsoImpl(CoordinatesImpl.class)
      public static interface Position.Coordinates

  Represents position reported by the browser.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getAccuracy()` | Returns the estimated accuracy reported by the browser, in meters.
    `java.lang.Double` | `getAltitude()` | Returns the altitude reported by the browser, in meters, above the reference ellipsoid, or `null` if the browser did not report an altitude.
    `java.lang.Double` | `getAltitudeAccuracy()` | Returns the estimated accuracy of the altitude reported by the browser, in meters, or `null` if the browser did not report an accuracy.
    `java.lang.Double` | `getHeading()` | Returns the heading, in degrees from due north, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a heading.
    `double` | `getLatitude()` | Returns the decimal latitude reported by the browser.
    `double` | `getLongitude()` | Returns the decimal longitude reported by the browser.
    `java.lang.Double` | `getSpeed()` | Returns the speed, in meters/second, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a speed.

- - ### Method Detail

    - #### getAccuracy

          double getAccuracy()

      Returns the estimated accuracy reported by the browser, in meters.

    - #### getAltitude

          java.lang.Double getAltitude()

      Returns the altitude reported by the browser, in meters, above the reference ellipsoid, or `null` if the browser did not report an altitude.

    - #### getAltitudeAccuracy

          java.lang.Double getAltitudeAccuracy()

      Returns the estimated accuracy of the altitude reported by the browser, in meters, or `null` if the browser did not report an accuracy.

    - #### getHeading

          java.lang.Double getHeading()

      Returns the heading, in degrees from due north, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a heading.

    - #### getLatitude

          double getLatitude()

      Returns the decimal latitude reported by the browser.

    - #### getLongitude

          double getLongitude()

      Returns the decimal longitude reported by the browser.

    - #### getSpeed

          java.lang.Double getSpeed()

      Returns the speed, in meters/second, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a speed.